## org.eclipse.emf.ecore.impl
Class EGenericTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EGenericTypeImpl

All Implemented Interfaces:
  Notifier, EGenericType, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

    public class EGenericTypeImpl

extends MinimalEObjectImpl.Container
implements EGenericType

An implementation of the model object 'EGeneric Type'.

The following features are implemented:

- `EUpper Bound`
- `EType Arguments`
- `ERaw Type`
- `ELower Bound`
- `EType Parameter`
- `EClassifier`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EClassifier` `eClassifier` The cached value of the '`EClassifier`' reference
`protected EGenericType` `eLowerBound` The cached value of the '`ELower Bound`' containment reference
`protected EClassifier` `eRawType` The cached value of the '`ERaw Type`' reference
`protected EList<EGenericType>` `eTypeArguments` The cached value of the '`EType Arguments`' containment reference list
`protected ETypeParameter` `eTypeParameter` The cached value of the '`EType Parameter`' reference
`protected EGenericType` `eUpperBound` The cached value of the '`EUpper Bound`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EGenericTypeImpl()`

Method Summary
`EClassifier` `basicGetEClassifier()`
`EClassifier` `basicGetERawType()`
`NotificationChain` `basicSetELowerBound(EGenericType newELowerBound, NotificationChain msgs)`
`NotificationChain` `basicSetETypeParameter(ETypeParameter newETypeParameter, NotificationChain msgs)`
`NotificationChain` `basicSetEUpperBound(EGenericType newEUpperBound, NotificationChain msgs)`
`NotificationChain` `eBasicSetContainer(InternalEObject newContainer, int newContainerFeatureID, NotificationChain msgs)` Sets the container to be new container and appropriate feature.
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EClassifier` `getEClassifier()`
`EGenericType` `getELowerBound()`
`protected EClassifier` `getErasure(ETypeParameter eTypeParameter)`
`EClassifier` `getERawType()`
`EList<EGenericType>` `getETypeArguments()`
`ETypeParameter` `getETypeParameter()`
`EGenericType` `getEUpperBound()`
`void` `setEClassifier(EClassifier newEClassifier)`
`NotificationChain` `setEClassifier(EClassifier newEClassifier, NotificationChain msgs)`
`void` `setELowerBound(EGenericType newELowerBound)`
`NotificationChain` `setERawType(EClassifier newERawType, NotificationChain msgs)`
`void` `setETypeParameter(ETypeParameter newETypeParameter)`
`void` `setEUpperBound(EGenericType newEUpperBound)`
`java.lang.String` `toString()`
`protected void` `toString(java.lang.StringBuilder result)`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### eUpperBound

    protected EGenericType eUpperBound

  The cached value of the '`EUpper Bound`' containment reference.

  See Also:
    `getEUpperBound()`

### eTypeArguments

    protected EList<EGenericType> eTypeArguments

  The cached value of the '`EType Arguments`' containment reference list.

  See Also:
    `getETypeArguments()`

### eRawType

    protected EClassifier eRawType

  The cached value of the '`ERaw Type`' reference.

  See Also:
    `getERawType()`

### eLowerBound

    protected EGenericType eLowerBound

  The cached value of the '`ELower Bound`' containment reference.

  See Also:
    `getELowerBound()`

### eTypeParameter

    protected ETypeParameter eTypeParameter

  The cached value of the '`EType Parameter`' reference.

  See Also:
    `getETypeParameter()`

### eClassifier

    protected EClassifier eClassifier

  The cached value of the '`EClassifier`' reference.

  See Also:
    `getEClassifier()`

Constructor Detail

### EGenericTypeImpl

    protected EGenericTypeImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `BasicEObjectImpl`

### getEUpperBound

    public EGenericType getEUpperBound()

  Specified by:
    `getEUpperBound` in interface `EGenericType`
  Returns:
    the value of the 'EUpper Bound' containment reference.
  See Also:
    `EGenericType.setEUpperBound(EGenericType)`, `EcorePackage.getEGenericType_EUpperBound()`

### basicSetEUpperBound

    public NotificationChain basicSetEUpperBound(EGenericType newEUpperBound,
                                                 NotificationChain msgs)

### setEUpperBound

    public void setEUpperBound(EGenericType newEUpperBound)

  Specified by:
    `setEUpperBound` in interface `EGenericType`
  Parameters:
    `newEUpperBound` - the new value of the 'EUpper Bound' containment reference.
  See Also:
    `EGenericType.getEUpperBound()`

### getETypeArguments

    public EList<EGenericType> getETypeArguments()

  Specified by:
    `getETypeArguments` in interface `EGenericType`
  Returns:
    the value of the 'EType Arguments' containment reference list.
  See Also:
    `EcorePackage.getEGenericType_ETypeArguments()`

### getERawType

    public EClassifier getERawType()

  Specified by:
    `getERawType` in interface `EGenericType`
  Returns:
    the value of the 'ERaw Type' reference.
  See Also:
    `EcorePackage.getEGenericType_ERawType()`

### basicGetERawType

    public EClassifier basicGetERawType()

### setERawType

    public NotificationChain setERawType(EClassifier newERawType,
                                         NotificationChain msgs)

### eBasicSetContainer

    public NotificationChain eBasicSetContainer(InternalEObject newContainer,
                                                int newContainerFeatureID,
                                                NotificationChain msgs)

  Description copied from interface: `InternalEObject`
  Sets the container to be new container and appropriate feature. and returns accumulated notifications. Since the container feature may not be navigable, i.e., may not exist, the containment feature may be encoded instead.

  Specified by:
    `eBasicSetContainer` in interface `InternalEObject`
  Overrides:
    `eBasicSetContainer` in class `BasicEObjectImpl`
  Returns:
    accumulated notifications.

### getELowerBound

    public EGenericType getELowerBound()

  Specified by:
    `getELowerBound` in interface `EGenericType`
  Returns:
    the value of the 'ELower Bound' containment reference.
  See Also:
    `EGenericType.setELowerBound(EGenericType)`, `EcorePackage.getEGenericType_ELowerBound()`

### basicSetELowerBound

    public NotificationChain basicSetELowerBound(EGenericType newELowerBound,
                                                 NotificationChain msgs)

### setELowerBound

    public void setELowerBound(EGenericType newELowerBound)

  Specified by:
    `setELowerBound` in interface `EGenericType`
  Parameters:
    `newELowerBound` - the new value of the 'ELower Bound' containment reference.
  See Also:
    `EGenericType.getELowerBound()`

### getETypeParameter

    public ETypeParameter getETypeParameter()

  Specified by:
    `getETypeParameter` in interface `EGenericType`
  Returns:
    the value of the 'EType Parameter' reference.
  See Also:
    `EGenericType.setETypeParameter(ETypeParameter)`, `EcorePackage.getEGenericType_ETypeParameter()`

### basicSetETypeParameter

    public NotificationChain basicSetETypeParameter(ETypeParameter newETypeParameter,
                                                    NotificationChain msgs)

### setETypeParameter

    public void setETypeParameter(ETypeParameter newETypeParameter)

  Specified by:
    `setETypeParameter` in interface `EGenericType`
  Parameters:
    `newETypeParameter` - the new value of the 'EType Parameter' reference.
  See Also:
    `EGenericType.getETypeParameter()`

### getErasure

    protected EClassifier getErasure(ETypeParameter eTypeParameter)

### getEClassifier

    public EClassifier getEClassifier()

  Specified by:
    `getEClassifier` in interface `EGenericType`
  Returns:
    the value of the 'EClassifier' reference.
  See Also:
    `EGenericType.setEClassifier(EClassifier)`, `EcorePackage.getEGenericType_EClassifier()`

### basicGetEClassifier

    public EClassifier basicGetEClassifier()

### setEClassifier

    public NotificationChain setEClassifier(EClassifier newEClassifier,
                                            NotificationChain msgs)

### setEClassifier

    public void setEClassifier(EClassifier newEClassifier)

  Specified by:
    `setEClassifier` in interface `EGenericType`
  Parameters:
    `newEClassifier` - the new value of the 'EClassifier' reference.
  See Also:
    `EGenericType.getEClassifier()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

### toString

    protected void toString(java.lang.StringBuilder result)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.